Subject: bug#22795: 25.0.91; Can't write read only file on w32

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Feb 2016 21:09:57 +0200

> Date: Wed, 24 Feb 2016 08:44:02 -0800
> From: "Ota, Takaaki" <[email-masked]>
> 
> When a file is read only on w32 platform I used to be able to write a
> file by toggling the buffer's read-only-mode state and answering yes
> to this question "File memo is write-protected; try to save anyway?
> (yes or no)" but now the writing fails by an error message "Opening
> output file: Permission denied, c:/d/ota/memo"

I cannot reproduce this, neither with today's emacs-25 nor with the
last pretest of 25.1.  If I answer yes to that question, the file is
saved without any errors.

How did you make the file read-only?  (I used a Windows port of
'chmod' and the 'attrib' command.)